<?php
include("../../base.php");

$mesa=$_GET['mesa'];
$area=$_GET['area'];
//comprobamos si hay mesas con letra
@$w1=mysqli_query($con ,"select * from ctmesas where codigo<>'0' and np_desc1 like CoNCAT('%',(select np_desc1 from ctmesas where nparte1='$mesa' ),'%') and area='$area'  order by codigo ASC ");

       if(mysqli_num_rows($w1)>0){//si hay
          $desocupada=0; 
          $letra="A";
          //verficamos si esta desocupada
                while (@$ms=mysqli_fetch_array($w1)){
                 
                        if($ms['status']==0&&$ms['fol_ven']==0){
                            $desocupada=$ms['nparte1'];
                            break;//detenemos si encontramos
                        }
                        $letra=$ms['codigo'];
                    }
           if($desocupada!=0){//reactivamos la mesa
                mysqli_query($con ,"update ctmesas set eliminado=0 where nparte1='$desocupada'");
                }
         else{// no hubo desocupadas
             $code=++$letra;
              mysqli_query($con ," INSERT INTO `ctmesas` (`np_desc1`, `descripcion`, `area`, `codigo`, `acc_fec`, `acc_hor`, `usuario`, `status`, `fol_ven`, `posicion`, `eliminado`, `orden`)
select concat(`np_desc1`,'$code') as np_desc1, `descripcion`, `area`, '$code' as codigo, `acc_fec`, `acc_hor`, `usuario`, 0 as status, 0 as fol_ven, `posicion`, `eliminado`, `orden`
from ctmesas where nparte1='$mesa'");
            echo 0;
            exit;
         }
       
          echo 0;
          exit;
       }else{//nohay
       
           mysqli_query($con ," INSERT INTO `ctmesas` (`np_desc1`, `descripcion`, `area`, `codigo`, `acc_fec`, `acc_hor`, `usuario`, `status`, `fol_ven`, `posicion`, `eliminado`, `orden`)
select concat(`np_desc1`,'A') as np_desc1, `descripcion`, `area`, 'A' as codigo, `acc_fec`, `acc_hor`, `usuario`, 0 as status, 0 as fol_ven, `posicion`, `eliminado`, `orden`
from ctmesas where nparte1='$mesa'");
      echo 0;
      exit;
       }

		
            echo json_encode($folios);
                
      
    

?>
